> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# ウォレットの累積クリエイターフィーを取得

> このウォレットがクリエイターであるすべてのCPMMプールと、各プールの未請求の累積クリエイターフィーを取得します。クリエイターフィーのキャッシュがない場合は空配列を返します。

**注意:** このエンドポイントはユーザーデータを定期的にキャッシュします。直近のクリエイターフィーのアクティビティはすぐに反映されない場合があります。




## OpenAPI

````yaml /ja/api-reference/openapi/temp-api-v1.yaml get /cp-creator-fee
openapi: 3.0.3
info:
  title: Temp API
  description: |
    Raydium APIのメインカテゴリに属さない短命エンドポイントの一時置き場です。
    このサービス内のエンドポイントは予告なく変更・非推奨化・移動される場合があります。

    **安定性に関する警告:** このサービスは迅速なイテレーションを優先しており、API安定性の保証は最小限です。
    非クリティカルなパス・内部ツール・開発中の機能にのみ使用してください。
  version: 1.0.0
  contact:
    name: Raydium
    url: https://raydium.io
servers:
  - url: https://temp-api-v1.raydium.io
    description: Mainnet
  - url: https://temp-api-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Temporary
    description: 一時エンドポイント（不安定）
paths:
  /cp-creator-fee:
    get:
      tags:
        - Temporary
      summary: ウォレットの累積クリエイターフィーを取得
      description: >
        このウォレットがクリエイターであるすべてのCPMMプールと、各プールの未請求の累積クリエイターフィーを取得します。クリエイターフィーのキャッシュがない場合は空配列を返します。


        **注意:**
        このエンドポイントはユーザーデータを定期的にキャッシュします。直近のクリエイターフィーのアクティビティはすぐに反映されない場合があります。
      operationId: getCpCreatorFee
      parameters:
        - name: wallet
          in: query
          required: true
          description: ウォレットの公開鍵（base58）
          schema:
            type: string
            example: ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnop
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatorFeeResponse'
        '400':
          description: ウォレットアドレスが無効です
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CreatorFeeResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        data:
          type: array
          description: 累積クリエイターフィーを持つプールの配列
          items:
            $ref: '#/components/schemas/CreatorFeeItem'
      required:
        - success
        - data
    ErrorResponse:
      type: object
      properties:
        id:
          type: string
        success:
          type: boolean
          example: false
        msg:
          type: string
          description: エラーメッセージ
      required:
        - success
        - msg
    CreatorFeeItem:
      type: object
      description: 累積クリエイターフィーを持つ1つのCPMMプール
      properties:
        poolInfo:
          type: object
          description: プールのメタデータ（構造は可変。スキーマはpools APIを参照）
        poolKey:
          type: object
          description: プールのコンフィグキー
        fee:
          $ref: '#/components/schemas/FeeAmount'
      required:
        - poolInfo
        - poolKey
        - fee
    FeeAmount:
      type: object
      description: 生のトークン単位での累積フィー金額
      properties:
        amountA:
          type: string
          description: トークンAのクリエイターフィー金額（最小単位）
        amountB:
          type: string
          description: トークンBのクリエイターフィー金額（最小単位）
      required:
        - amountA
        - amountB

````